session *action_command(const unsigned char *arg, session *ses);
session *unaction_command(const unsigned char *arg, session *ses);
int substitute_vars(const unsigned char *arg, unsigned char *result,
		    int maxlen, int allflag, session *ses, int rem = TRUE);
int search_vars(const unsigned char *arg, unsigned char *result);
int check_one_action(const unsigned char *text, const unsigned char *action,
		     const int expand = FALSE);

inline int is_variable(const unsigned char *str)
{
  if(*str == '$') {
    if(isdigit(*(str + 1)))
      return(-1);
    else if(*(str + 1) == '-' && isdigit(*(str + 2)) && isdigit(*(str + 3)))
      return((int)((int)*(str + 2) - (int)'0'));
  }    
  
  return(FALSE);
}
